#ifndef INCLUDED_QEINTERFACE_H
#define INCLUDED_QEINTERFACE_H

#include <string>
#include <vector>
#include <qmainwindow.h>

class QESession;
class QEStatusBar;

/**
 * Top-level ecawave interface widget
 * 
 * This class is a wrapper for putting ecawave sessions
 * inside QMainWindow objects.
 */
class QEInterface : public QMainWindow {
  Q_OBJECT

public slots:

  void new_session_event(void);
  void session_close_event(void);
  void interface_close_event(void);

signals:

  void interface_closed(void);

 public:

  QEInterface (const std::string& filename = "", 
	       QWidget *parent = 0, 
	       const char *name = 0);
  ~QEInterface(void);

 private:

  std::vector<QEInterface*> child_interfaces_rep;
  QESession* session_repp;
  QEStatusBar* statusbar_repp;
};

#endif
